cURL
curl --request GET \
--url https://cloud.nrai.io/api/v1/flow-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.nrai.io/api/v1/flow-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.nrai.io/api/v1/flow-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"created": "<string>",
"updated": "<string>",
"projectId": "<string>",
"flowId": "<string>",
"failParentOnFailure": true,
"flowVersionId": "<string>",
"status": "FAILED",
"startTime": "<string>",
"environment": "PRODUCTION",
"parentRunId": "<string>",
"tags": [
"<string>"
],
"flowVersion": {
"displayName": "<string>"
},
"logsFileId": "<string>",
"tasks": 123,
"duration": 123,
"finishTime": "<string>",
"failedStepName": "<string>",
"stepNameToTest": "<string>"
}
],
"next": "<string>",
"previous": "<string>"
}Flow Runs
List Flows Runs
List Flow Runs
GET
/
v1
/
flow-runs
cURL
Authorizations
Use your api key generated from the admin console
Query Parameters
Pattern:
^[0-9a-zA-Z]{21}$Available options:
FAILED Pattern:
^[0-9a-zA-Z]{21}$Pattern:
^[0-9a-zA-Z]{21}$⌘I